---
title: "Algorithmic problems in the symbolic approach to the verification of automatically synthesized cryptosystems"
authors: [
    "Hai Lin",
    "Christopher Lynch",
    "Andrew M Marshall",
    "Catherine A Meadows",
    "Paliath Narendran",
    "Veena Ravishankar",
    "Brandon Rozek"
]
publish_date: "2021/09/08"
conference: "International Symposium on Frontiers of Combining Systems"
isbn: "978-3-030-86205-3"
doi: "10.1007/978-3-030-86205-3_14"
volume: 12941
firstpage: 253
lastpage: 270
language: "English"
keywords: [
    "Cryptographic modes of operation",
    "Symbolic reasoning",
    "Equational theories",
    "Unification"
]
abstract: "Automated methods can be used to generate cryptosystems by combining the primitives in an arbitrary fashion, to weed out insecure cryptosystems, and to prove the security of those that survive. In this paper, we study several algorithmic problems arising from the verification of automatically synthesized cryptosystems built from block ciphers, in a theory that includes ACUN. One of these is static equivalence to an algorithm that produces a sequence of random terms. The other is invertibility, the problem of determining whether, given an automatically synthesized cryptosystem, built from block ciphers, and the ability to compute inverses, is it always possible to compute the original plaintext from the ciphertext? We show that static equivalence to random in this theory is undecidable in general. In addition, we identify a reasonable special case for which there is a decidable condition implying security, along with an algorithm for verifying it. For invertibility, we identify a reasonable class of cryptosystems for which invertibility is equivalent to a simple syntactic condition that can be easily verified."
---

