---
Title: Publications
description: Papers, Presentations, and Awards obtained
showthedate: false
aliases:
 - /research/publications
---

## Publications

[CryptoSolve: A Tool for the Analysis of Cryptographic Modes of Operation](/paper/2209.01)
- Authors: D Chichester, W Du, R Kauffman, H Lin, C Lynch, A M. Marshall, C Meadows, P Narendran, V Ravishankar, L Rovira, *B Rozek*.
- Venue: International Symposium on Games, Automata, Logic, and Formal Verification, 2022.
- [Paper](https://cgi.cse.unsw.edu.au/~eptcs/Published/GandALF2022/Proceedings.pdf#page=157)

[A Framework for Testimony-Infused Automated Adjudicative Dynamic
Multi-Agent Reasoning in Ethically Charged Scenarios](/paper/2207.01)
- Authors: *Brandon Rozek*, Michael Giancola, Selmer Bringsjord, Naveen Sundar Govindarajulu
- Venue: International Conference on Robot Ethics and Standards, 2022.
- [Paper](https://www.clawar.org/icres2022/wp-content/uploads/2022/07/ICRES2022-Proceedings-manuscript.pdf#page=61)

[Algorithmic Problems in the Symbolic Approach to the
Verification of Automatically Synthesized Cryptosystems ](/paper/2109.01)
- Authors: Hai Lin, Christopher Lynch, Andrew M. Marshall, Catherine A. Meadows, Paliath Narendran, Veena Ravishankar, *Brandon Rozek*
- Venue: International Symposium on Frontiers of Combining Systems, 2021.
- [Paper](https://link.springer.com/chapter/10.1007/978-3-030-86205-3_14)


## Papers

[CryptoSolve: Towards a Tool for the Symbolic Analysis of Cryptographic Algorithms](/paper/2203.01)
- Authors: D Chichester, W Du, R Kauffman, H Lin, C Lynch, A M. Marshall, C Meadows, P Narendran, V Ravishankar, L Rovira, *B Rozek*
- Venue: International Workshop on Rewriting Logic and its Applications, 2022.
- [Paper](http://sv.postech.ac.kr/wrla2022/assets/files/pre-proceedings-WRLA2022.pdf#page=12) | [Slides](/files/slides/wrla2022-slides.pdf)

[Algorithmic Problems in Synthesized Cryptosystems](/paper/2006.01)
- Authors: Andrew M Marshall, Catherine A Meadows, Paliath Narendran, Veena Ravishankar, *Brandon Rozek*
- Venue: International Workshop on Unification, 2020.
- [Paper](https://www3.risc.jku.at/publications/download/risc_6129/proceedings-UNIF2020.pdf#page=58)

## Thesis

(Undergraduate) [Brandon Rozek. "Expediting Learning with Interactive Demonstrations", University of Mary Washington, 2019.](https://scholar.umw.edu/student_research/305/)

## Presentations

QEP: The Quality Policy Evaluation Algorithm
- Venue: Research and Creativity Day at University of Mary Washington, 2019.
- [Program](/files/research/UMW-RC-2019.pdf#page=3) | [Slides](/files/research/QEP.pptx)


Beowulf Cluster for Research and Education
- Authors: *Brandon Rozek* and Stefano Coronado
- Venue: Research and Creativity Day at University of Mary Washington, 2018.
- [Program](/files/research/UMW-RC-2018.pdf#page=7) | [Poster](/files/research/LUNACposter.pdf)

Coherent Control of Atomic Population Using the Genetic Algorithm
- Venue: Summer Science Institute Research Symposium, 2017.
- [Presentation](/files/research/coherentcontrolofatomicpopulation.pdf)


Modelling Population Dynamics of Incoherent and Coherent Excitation
- Authors: Hannah Killian and *Brandon Rozek*
- Venue: Virginia Academy of Science, 2017.
- [Poster](/files/research/modellingpopulationdynamics.pdf) | [Program](/files/research/VAS-Proceedings-95-2017.pdf#page=6)


Modeling Population Dynamics of Incoherent and Coherent Excitation
- Authors: Hannah Killian and *Brandon Rozek*
- Venue: Research and Creativity Day at University of Mary Washington, 2017.
- [Program](/files/research/UMW-RC-2017.pdf#page=14)

## Awards

[National Defense Science and Engineering Graduate (NDSEG) Fellowship, 2022-2025 (Tuition Support/$3400 per month stipend/$5000 Travel Fund/$1500 Personal Development Fund)](https://ndseg.org/2022-class-fellows)

[Clare Arrington, Maia Magrakvilidze, Ethan Ramirez, **Brandon Rozek** "High Performance Cluster System for Research and Education", University of Mary Washington, 2017-2018 School Year ($3500)](https://cas.umw.edu/wp-content/blogs.dir/51/files/2018/10/Fall-2017-Awards.pdf)
